package com.sistema_ventas.model;
// Generated 11-13-2019 11:40:49 AM by Hibernate Tools 4.3.1


import java.util.HashSet;
import java.util.Set;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import static javax.persistence.GenerationType.IDENTITY;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;
import javax.persistence.Table;

/**
 * Clientes generated by hbm2java
 */
@Entity
@Table(name="clientes"
    ,catalog="sistema_ventas"
)
public class Clientes  implements java.io.Serializable {


     /**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private Integer idcli;
     private Persona persona;
     private Set<FacturaEncabezado> facturaEncabezados = new HashSet<FacturaEncabezado>(0);

    public Clientes() {
    }

    public Clientes(Persona persona, Set<FacturaEncabezado> facturaEncabezados) {
       this.persona = persona;
       this.facturaEncabezados = facturaEncabezados;
    }
   
     @Id @GeneratedValue(strategy=IDENTITY)

    
    @Column(name="idcli", unique=true, nullable=false)
    public Integer getIdcli() {
        return this.idcli;
    }
    
    public void setIdcli(Integer idcli) {
        this.idcli = idcli;
    }

@ManyToOne(fetch=FetchType.LAZY)
    @JoinColumn(name="persona")
    public Persona getPersona() {
        return this.persona;
    }
    
    public void setPersona(Persona persona) {
        this.persona = persona;
    }

@OneToMany(fetch=FetchType.LAZY, mappedBy="clientes")
    public Set<FacturaEncabezado> getFacturaEncabezados() {
        return this.facturaEncabezados;
    }
    
    public void setFacturaEncabezados(Set<FacturaEncabezado> facturaEncabezados) {
        this.facturaEncabezados = facturaEncabezados;
    }




}


